#!/usr/bin/perl -w
use File::Basename ;

# parse 
# [mp4|m4v|mkv] [DD|noDD|HD-HD|HD-smallHD] [VHQ|HQ|MQ] [first|all]

# aka
# m4v DD HQ first
# m4v DD HQ all
# m4v noDD HQ all
# m4v noDD HQ all
# m4v HD-HD VHQ all

# gets 4Parameter plus "path of recording"
# prevent xxv bug to write info.vdr in vdr 1.7.13
if ( -f "$ARGV[1]/info.vdr" ) { unlink "$ARGV[1]/info.vdr"} ; 

rename_vdr_file ( @ARGV ) ;

open REFRESH , ">/video/.update" ;
close REFRESH ;

sub rename_vdr_file {
#print "$_[0] \n" ;
my $container = shift ;
my $dd = shift ;
my $quali = shift ;
my $atrack = shift ;
my $filename = shift ;

$filename =~ s/\d{4}-\d{2}-\d{2}.*\.rec// ;
my $dir = dirname($filename) ;
my $file = basename($filename) ;

# special for removing any leading [***] comments on filename
if ( $container =~ /REMOVE/ ) {
	my ${file_remove_cut} ;
	( ${file_remove_cut} = ${file} ) =~ s/\[del-.*\]|\[cut-.*\]|\[work-.*\]|\[oops-.*\]// ;
	rename ( "${dir}/${file}" , "${dir}/${file_remove_cut}" ) ;
	print "cut marking removed...\n" ;
}
else {
	unless ( "${dir}/${file}" =~ /\[cut-.*\]/ ) {
		rename ( "${dir}/${file}" , "${dir}/[cut-$container|$dd|$quali|$atrack]${file}" ) ;
		print "marked as cut ...\n" ;
	}
}
}